Java.com

ダウンロード ヘルプ

印刷可能バージョン

macOS Sierra (10.12)、El Capitan (OS X 10.11)またはYosemite (OS X 10.10)に更新した後、継続してJavaを再度インストールするように求められるのはなぜですか。


このトピックは、次に当てはまります。:
  • プラットフォーム: macOS, Mac OS X

症状

最新バージョンのJavaにアップグレードした後でも、macOS Sierra (10.12)、El Capitan (OS X 10.11)またはYosemite (OS X 10.10)で一部のアプリケーションを実行中に、ユーザーにJavaをダウンロードするよう求めるダイアログ・ボックスが表示されます。

macOS Sierra 10.12またはYosemite (OS X 10.10)のメッセージ:

To open "application" you need to install the legacy Java SE 6 runtime.

El Capitan (OS X 10.11)のメッセージ:

To use the "java" command-line tool you need to install a JDK


原因

これは、通常アプリケーションがAppleによって提供されたレガシーのJava 6を必要とするためです。この問題の解決策については、http://support.apple.com/kb/DL1572を参照してください。


次のものにも関心を持たれるかもしれません:




言語の選択 | Javaについて | サポート | 開発者
プライバシ  | 使用条件 | 商標 | 免責条項

Oracle